<?php

require_once("../autentificare.php");
require_once("{$sitepath}pagecomponents.php");

check_auth();

$id_validator = $_SESSION['s_id_utilizator'];
$id_raportor = getuserdata('id_utilizator', 0);
$id_perioada = getuserdata('id_perioada', 0);
$data = getuserdata('data');
if ($data) $data = mktime(substr($data, 11, 2), substr($data, 14, 2), 0,
                          substr($data, 3, 2), substr($data, 0, 2), substr($data, 6, 4));
$result = "Programarea nu a putut fi salvată!";

// Verific daca utilizatorul are drepturi de upload
/*$sql = "SELECT * 
        FROM utilizatorixgrupuri ug
            JOIN grupuri g ON g.id_grup = ug.id_grup
            JOIN drepturi d ON d.id_grup = g.id_grup
            JOIN aplicatii a ON a.id_aplicatie = d.id_aplicatie
            JOIN fisiere_raportate f ON f.id_fisier_raportat = a.id_aplicatie
        WHERE ug.id_utilizator = $id_utilizator AND ug.activ = 1 AND f.id_fisier_raportat = $id_fisier_raportat";
$q = mysql_query($sql);
if (mysql_num_rows($q))
{*/
    // Verific daca perioada este valida si daca nu a fost incarcat fisier valid
    if ($data)
    {
        // Incarc fisierul
        $q = mysql_query("SELECT * FROM programari WHERE id_perioada = $id_perioada 
                          AND id_utilizator_destinatie = $id_raportor");
        if ($r = mysql_fetch_assoc($q))
        {
            // Inlocuiesc programarea veche
            mysql_query("UPDATE programari SET
                             id_utilizator_sursa = $id_validator,
                             data_programare = '".mysql_datetime($data)."' 
                         WHERE id_programare = {$r['id_programare']}");
        }
        else
        {
            mysql_query("INSERT INTO programari (id_perioada, id_utilizator_sursa, 
                             id_utilizator_destinatie, data_programare)
                         VALUES ($id_perioada, $id_validator, $id_raportor, '".
                             mysql_datetime($data)."')");
        }
    }
    else
        $result = 'Nu aţi selectat data programării!';
//}

sleep(2);

?>

<script language="javascript" type="text/javascript">
    window.top.window.requestInfoValidator(0, '', '');
</script>